Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Media

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_Media

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieMedia

    public abstract class S_Media

extends S_TieSystemObject

An S_Media is the server-side representation of a Media.

(Published)

Field Summary
`protected static java.lang.String` | `CONTENTTABLE_EXPIRATIONDATE_COLUMN` Name of the EXPIRATIONDATE column in the content table.
`protected static java.lang.String` | `CONTENTTABLE_MEDIAID_COLUMN` Name of the MEDIAID column in the content table.
`protected static java.lang.String` | `CONTENTTABLE_PARTITIONVALUE_COLUMN` Name of the PARTITIONVALUE column in the content table.
`static java.lang.String` | `CONTENTTABLE_TABLENAME_PREFIX` The prefix applied to the TABLENAME attribute of Media to form the name of the content table.

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_Media(S_LibrarySession session, java.lang.Long classId)` Constructs an S_Media for the case where the object has not been created in the database yet.
`protected` | `S_Media(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_Media.

Method Summary
`protected boolean` | `acquireContentTableLock(java.lang.Long cid)` Acquires a row-level lock on the row in the content table with the specified content id.
`protected void` | `copyContent(S_Media srcMedia, java.lang.Long srcCid, java.lang.Long dstCid, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores a copy of existing content as the content for the specified content id.
`protected abstract void` | `destroyContent(java.lang.Long cid, AttributeValue[] mediaOptions)` Destroys the content with the specified content id.
`protected java.lang.Long` | `destroyExpiredContent(long expirationDate, java.lang.Long previousCid, int batchSize)` Destroys expired content in this Media.
`java.io.Serializable` | `DYNDestroyExpiredContent(java.io.Serializable payload)` DYN wrapper for `destroyExpiredContent`.
`protected void` | `ensureContentTableExists(java.sql.Connection auxconn, S_LibraryObjectDefinition sdef)` Checks if the content table already exists, and if not, creates it.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed after creating an object.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert actions.
`java.lang.String` | `getColumnName()` Gets the value of the COLUMNNAME attribute.
`protected abstract java.io.InputStream` | `getContent(java.lang.Long cid)` Gets the content stream for the specified content id.
`java.lang.String` | `getContentIndexProcedure()` Gets the name of the stored procedure called by Oracle Text to retrieve content, or null for indirect full-text indexing.
`protected abstract long` | `getContentSize(java.lang.Long cid)` Gets the size of the content stream for the specified content id.
`java.lang.String` | `getContentTableName()` Gets the name of the content table.
`protected java.lang.Long` | `getPartitionValue(java.lang.Long cid)` Gets the value of the content table PARTITIONVALUE column for the specified content id.
`protected abstract RandomAccessDriver` | `getRandomAccessDriver(java.lang.Long cid)` Gets a RandomAccessDriver for the specified content id.
`java.lang.String` | `getTableName()` Gets the value of the TABLENAME attribute.
`boolean` | `isReadOnly()` Gets the value of the READONLY attribute.
`protected abstract void` | `setContent(java.lang.Long cid, java.io.InputStream is, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores content read from the specified InputStream using the specified content id.
`protected abstract void` | `setContentReference(java.lang.Long cid, java.lang.String contentReference, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores content determined from a specified content reference for the specified content id.
`protected void` | `setEmptyContent(java.lang.Long cid, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores zero-length content for the specified content id.
`protected void` | `setExpirationDate(java.lang.Long cid, java.lang.Long expirationDate)` Updates the content table EXPIRATIONDATE column for the specified content id.
`protected void` | `setPartitionValue(java.lang.Long cid, java.lang.Long partitionValue)` Updates the content table PARTITIONVALUE column for the specified content id.

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, cascadeFree, createCategories, deriveDefinition, extendedPostUpdate, extendedPreUpdate, getCategories, getCategories, getCategories, handleCascade, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CONTENTTABLE_TABLENAME_PREFIX

    public static final java.lang.String CONTENTTABLE_TABLENAME_PREFIX

  Description copied from class: `S_Media`
  The prefix applied to the TABLENAME attribute of Media to form the name of the content table.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTABLE_MEDIAID_COLUMN

    protected static final java.lang.String CONTENTTABLE_MEDIAID_COLUMN

  Description copied from class: `S_Media`
  Name of the MEDIAID column in the content table.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTABLE_PARTITIONVALUE_COLUMN

    protected static final java.lang.String CONTENTTABLE_PARTITIONVALUE_COLUMN

  Description copied from class: `S_Media`
  Name of the PARTITIONVALUE column in the content table.

  See Also:
    Constant Field Values
  (Unpublished)

### CONTENTTABLE_EXPIRATIONDATE_COLUMN

    protected static final java.lang.String CONTENTTABLE_EXPIRATIONDATE_COLUMN

  Description copied from class: `S_Media`
  Name of the EXPIRATIONDATE column in the content table.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### S_Media

    protected S_Media(S_LibrarySession session,
                      S_LibraryObjectData data)
               throws IfsException

  Constructs an S_Media.

  Parameters:
    `session` - the session context
    `data` - the data component
  Throws:
    `IfsException` - if the operation fails
  (Published)

### S_Media

    protected S_Media(S_LibrarySession session,
                      java.lang.Long classId)
               throws IfsException

  Constructs an S_Media for the case where the object has not been created in the database yet.

  Parameters:
    `session` - the session context
    `classId` - the id of the class
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_Media`
  Performs pre-insert actions.

  Overrides:
    `extendedPreInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition for the insert operation
  Throws:
    `IfsException` - if the operation fails

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_Media`
  Operations to be performed after creating an object.

  This is overridden by classes that need to perform operations after successfully creating the rows for the new instance.

  Overrides:
    `extendedPostInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.

### ensureContentTableExists

    protected void ensureContentTableExists(java.sql.Connection auxconn,
                                            S_LibraryObjectDefinition sdef)
                                     throws IfsException

  Description copied from class: `S_Media`
  Checks if the content table already exists, and if not, creates it.

  Parameters:
    `auxconn` - an auxiliary connection; required
    `sdef` - the definition; required
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition sdef)
                            throws IfsException

  Description copied from class: `S_Media`
  Operations to be performed before freeing an object. This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.

### getTableName

    public final java.lang.String getTableName()
                                        throws IfsException

  Description copied from class: `S_Media`
  Gets the value of the TABLENAME attribute.

  The name of the content table is formed by prepending "ODMM_" to this value, uppercased.

  Returns:
    the value of the TABLENAME attribute
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentTableName

    public final java.lang.String getContentTableName()
                                               throws IfsException

  Description copied from class: `S_Media`
  Gets the name of the content table.

  The name of the content table is formed by prepending "ODMM_" to the value returned by `S_Media.getTableName()`, uppercased.

  Returns:
    the name of the content table
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getColumnName

    public final java.lang.String getColumnName()
                                         throws IfsException

  Description copied from class: `S_Media`
  Gets the value of the COLUMNNAME attribute.

  The value of this attribute is the name of the content table column in which content is stored by this Media.

  Returns:
    the column name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isReadOnly

    public final boolean isReadOnly()
                             throws IfsException

  Description copied from class: `S_Media`
  Gets the value of the READONLY attribute.

  The value of this attribute indicates whether this Media is read-only. Content cannot be stored on or removed from a read-only Media.

  Returns:
    whether read-only
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentIndexProcedure

    public java.lang.String getContentIndexProcedure()
                                              throws IfsException

  Description copied from class: `S_Media`
  Gets the name of the stored procedure called by Oracle Text to retrieve content, or null for indirect full-text indexing.

  Media instances can support full-text indexing in either of two ways:

  - direct full-text indexing: the Media instance provides a PL/SQL procedure that is called to retrieve content during full-text indexing; this method returns the name of that procedure.
  - indirect full-text indexing: the `getContent` method is used to load content into a BLOB until it is indexed, after which that BLOB is destroyed; this method returns null.

  Returns:
    the PL/SQL procedure name if this Media instance supports direct full-text indexing, or null otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContent

    protected abstract java.io.InputStream getContent(java.lang.Long cid)
                                               throws IfsException

  Description copied from class: `S_Media`
  Gets the content stream for the specified content id.

  Parameters:
    `cid` - the content id; required
  Returns:
    the content stream; non-null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getContentSize

    protected abstract long getContentSize(java.lang.Long cid)
                                    throws IfsException

  Description copied from class: `S_Media`
  Gets the size of the content stream for the specified content id.

  Parameters:
    `cid` - the content id; required
  Returns:
    the size, in bytes
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setContent

    protected abstract void setContent(java.lang.Long cid,
                                       java.io.InputStream is,
                                       java.lang.Long partitionValue,
                                       AttributeValue[] mediaOptions)
                                throws IfsException

  Description copied from class: `S_Media`
  Stores content read from the specified InputStream using the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `cid`, storing content read from the InputStream, and closing the InputStream.

  Parameters:
    `cid` - the content id; required
    `is` - the InputStream from which content is read
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setEmptyContent

    protected void setEmptyContent(java.lang.Long cid,
                                   java.lang.Long partitionValue,
                                   AttributeValue[] mediaOptions)
                            throws IfsException

  Description copied from class: `S_Media`
  Stores zero-length content for the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `cid`.

  Althrough a concrete implementation is provided here (by calling `setContent` and immediately closing the returned OutputStream), subclasses should override this method with a more performant implementation, if possible.

  Parameters:
    `cid` - the content id; required
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### copyContent

    protected void copyContent(S_Media srcMedia,
                               java.lang.Long srcCid,
                               java.lang.Long dstCid,
                               java.lang.Long partitionValue,
                               AttributeValue[] mediaOptions)
                        throws IfsException

  Description copied from class: `S_Media`
  Stores a copy of existing content as the content for the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `dstCid`.

  Although a concrete implementation is provided here (by copying the InputStream returned by `srcMedia.getContent(srcCid)` to the OutputStream returned by `setContent`), subclasses should override this method with a more performant implementation, if possible.

  Parameters:
    `srcMedia` - the source media; required
    `srcCid` - the source content id; required
    `dstCid` - the destination content id; required
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setContentReference

    protected abstract void setContentReference(java.lang.Long cid,
                                                java.lang.String contentReference,
                                                java.lang.Long partitionValue,
                                                AttributeValue[] mediaOptions)
                                         throws IfsException

  Description copied from class: `S_Media`
  Stores content determined from a specified content reference for the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `cid`.

  The interpretation of `contentReference` varies by subtype. Some Media subtypes may store its value, while others may resolve its value (in a subtype-determined fashion) to other content and store that content instead.

  Parameters:
    `cid` - the content id; required
    `contentReference` - the content reference; required
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getRandomAccessDriver

    protected abstract RandomAccessDriver getRandomAccessDriver(java.lang.Long cid)
                                                         throws IfsException

  Description copied from class: `S_Media`
  Gets a RandomAccessDriver for the specified content id.

  Parameters:
    `cid` - the content id
  Returns:
    the RandomAccessDriver
  Throws:
    `IfsException` - 13623: if the operation fails
  (Unpublished)

### destroyContent

    protected abstract void destroyContent(java.lang.Long cid,
                                           AttributeValue[] mediaOptions)
                                    throws IfsException

  Description copied from class: `S_Media`
  Destroys the content with the specified content id.

  The implementation of this method is responsible for deleting the content table row whose ID column is `cid`.

  Parameters:
    `cid` - the content id; required
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPartitionValue

    protected final java.lang.Long getPartitionValue(java.lang.Long cid)
                                              throws IfsException

  Description copied from class: `S_Media`
  Gets the value of the content table PARTITIONVALUE column for the specified content id.

  Parameters:
    `cid` - the content id; required
  Returns:
    the partition value, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setPartitionValue

    protected final void setPartitionValue(java.lang.Long cid,
                                           java.lang.Long partitionValue)
                                    throws IfsException

  Description copied from class: `S_Media`
  Updates the content table PARTITIONVALUE column for the specified content id.

  Parameters:
    `cid` - the content id; required
    `partitionValue` - the new partition value, or null for none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setExpirationDate

    protected final void setExpirationDate(java.lang.Long cid,
                                           java.lang.Long expirationDate)
                                    throws IfsException

  Description copied from class: `S_Media`
  Updates the content table EXPIRATIONDATE column for the specified content id.

  Parameters:
    `cid` - the content id; required
    `expirationDate` - the new expiration date, or null for none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### DYNDestroyExpiredContent

    public java.io.Serializable DYNDestroyExpiredContent(java.io.Serializable payload)
                                                  throws IfsException

  Description copied from class: `S_Media`
  DYN wrapper for `destroyExpiredContent`.

  The `payload` must be Vector with three items:

  - `expirationDate`: Long; non-null
  - `previousCid`: Long
  - `batchSize`: Integer; non-null

  Parameters:
    `payload` - see method description
  Returns:
    the Long value returned by `destroyExpiredContent`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### destroyExpiredContent

    protected final java.lang.Long destroyExpiredContent(long expirationDate,
                                                         java.lang.Long previousCid,
                                                         int batchSize)
                                                  throws IfsException

  Description copied from class: `S_Media`
  Destroys expired content in this Media.

  Content is "expired" if its expiration date is before the point in time specified by `expirationDate` and no row-level lock is held on its content table row.

  To avoid long-running transactions, this method is repeatedly called to expire content in batches. Only content whose content id is greater than `previousCid` is considered. Each invocation expires no more than `batchSize` items of content.

  Content eligible for expiration must have no artifacts except those known to the Media. For example, the content must not have a ContentObject or rows in either odmz_context_router or odmz_last_access_date.

  Parameters:
    `expirationDate` - the threshold expiration date
    `previousCid` - the last content id processed in the previous batch, or null if this is the first batch
    `batchSize` - the maximum number of content items to expire in this batch
  Returns:
    the last content id processed in this batch, or null if no content items were processed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### acquireContentTableLock

    protected final boolean acquireContentTableLock(java.lang.Long cid)
                                             throws IfsException

  Description copied from class: `S_Media`
  Acquires a row-level lock on the row in the content table with the specified content id.

  Parameters:
    `cid` - the content id; required
  Returns:
    whether there was a row with the specified content id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD